import { useAuthenticatedRoute } from "@/hooks/useAuthenticatedRoute";
import { Stack } from "expo-router";

export default function MeLayout() {
  // Protect all profile routes - redirect to login if not authenticated
  useAuthenticatedRoute({
    targetUrl: '/(drawer)/(tabs)/me'
  });

  return (
    <Stack
      screenOptions={{
        headerShown: false,
      }}
    />
  );
}